felix7502
Mechanical
- Mar 24, 2003
- 222
Does anyone have a 2007 macro to toggle "Show Component Descriptions" from the Tree Display?
Thanks,
Sylvia
Thanks,
Sylvia
Follow along with the video below to see how to install our site as a web app on your home screen.
Note: This feature may not be available in some browsers.
Dim swApp As SldWorks.SldWorks
Dim aMod As SldWorks.ModelDoc2
Dim FM As SldWorks.FeatureManager
Dim CurSet As Boolean
Sub main()
On Error GoTo ExitStrategy
Set swApp = Application.SldWorks
Set aMod = swApp.ActiveDoc
Set FM = aMod.FeatureManager
CurSet = FM.ShowComponentDescriptions
If CurSet Then CurSet = False Else CurSet = True
FM.ShowComponentDescriptions = CurSet
ExitStrategy:
Set FM = Nothing
Set aMod = Nothing
Set swApp = Nothing
End Sub